Loading...
Searching...
No Matches
generic.cpp File Reference
`#include <openbabel/babelconfig.h>`
`#include <string>`
`#include <set>`
`#include <openbabel/mol.h>`
`#include <openbabel/atom.h>`
`#include <openbabel/bond.h>`
`#include <openbabel/ring.h>`
`#include <openbabel/obiter.h>`
`#include <openbabel/generic.h>`
`#include <openbabel/math/matrix3x3.h>`
`#include <openbabel/elements.h>`
`#include <openbabel/alias.h>`

## Namespaces

namespace | OpenBabel

## Macros

#define | LIMIT 0.999999
#define | EPSILON 1.0e-6
#define | OBUNITCELL_CALL_CONST_OVERLOAD(_type, _name)
#define | OBUNITCELL_CALL_CONST_OVERLOAD_ARG(_type, _name, _argsig)
#define | OBUNITCELL_CALL_CONST_OVERLOAD_ARG2(_type, _name, _argsig, _argsig2)

## Functions

bool | areDuplicateAtoms (vector3 v1, vector3 v2)
| OBUNITCELL_CALL_CONST_OVERLOAD (double, GetA)
| OBUNITCELL_CALL_CONST_OVERLOAD (double, GetB)
| OBUNITCELL_CALL_CONST_OVERLOAD (double, GetC)
| OBUNITCELL_CALL_CONST_OVERLOAD (double, GetAlpha)
| OBUNITCELL_CALL_CONST_OVERLOAD (double, GetBeta)
| OBUNITCELL_CALL_CONST_OVERLOAD (double, GetGamma)
| OBUNITCELL_CALL_CONST_OVERLOAD (vector3, GetOffset)
| OBUNITCELL_CALL_CONST_OVERLOAD_ARG (OBUnitCell::LatticeType, GetLatticeType, int)
| OBUNITCELL_CALL_CONST_OVERLOAD (OBUnitCell::LatticeType, GetLatticeType)
| OBUNITCELL_CALL_CONST_OVERLOAD (std::vector< vector3 >, GetCellVectors)
| OBUNITCELL_CALL_CONST_OVERLOAD (matrix3x3, GetCellMatrix)
| OBUNITCELL_CALL_CONST_OVERLOAD (matrix3x3, GetOrthoMatrix)
| OBUNITCELL_CALL_CONST_OVERLOAD (matrix3x3, GetOrientationMatrix)
| OBUNITCELL_CALL_CONST_OVERLOAD (matrix3x3, GetFractionalMatrix)
| OBUNITCELL_CALL_CONST_OVERLOAD_ARG (vector3, FractionalToCartesian, vector3)
| OBUNITCELL_CALL_CONST_OVERLOAD_ARG (vector3, CartesianToFractional, vector3)
| OBUNITCELL_CALL_CONST_OVERLOAD_ARG (vector3, WrapCartesianCoordinate, vector3)
| OBUNITCELL_CALL_CONST_OVERLOAD_ARG (vector3, WrapFractionalCoordinate, vector3)
| OBUNITCELL_CALL_CONST_OVERLOAD_ARG (vector3, MinimumImageCartesian, vector3)
| OBUNITCELL_CALL_CONST_OVERLOAD_ARG (vector3, MinimumImageFractional, vector3)
| OBUNITCELL_CALL_CONST_OVERLOAD_ARG (int, GetSpaceGroupNumber, std::string)
| OBUNITCELL_CALL_CONST_OVERLOAD (double, GetCellVolume)
| OBUNITCELL_CALL_CONST_OVERLOAD_ARG2 (vector3, UnwrapCartesianNear, vector3, vector3)
| OBUNITCELL_CALL_CONST_OVERLOAD_ARG2 (vector3, UnwrapFractionalNear, vector3, vector3)

## Detailed Description

Handle OBGenericData classes. Custom data for atoms, bonds, etc.

## Macro Definition Documentation

## LIMIT

#define LIMIT 0.999999

Referenced by OBUnitCell::WrapFractionalCoordinate().

## EPSILON

#define EPSILON 1.0e-6

Referenced by OBUnitCell::WrapFractionalCoordinate().

## OBUNITCELL_CALL_CONST_OVERLOAD

#define OBUNITCELL_CALL_CONST_OVERLOAD | ( |  | _type,
|  |  | _name )

Value:
_type OBUnitCell::_name() \
{ \
return const_cast<const OBUnitCell*>(this)->_name(); \
}

Todo
  Remove nonconst overloads in OBUnitCell on next version bump.

## OBUNITCELL_CALL_CONST_OVERLOAD_ARG

#define OBUNITCELL_CALL_CONST_OVERLOAD_ARG | ( |  | _type,
|  |  | _name,
|  |  | _argsig )

Value:
_type OBUnitCell::_name( _argsig arg1 ) \
{ \
return const_cast<const OBUnitCell*>(this)->_name(arg1); \
}

## OBUNITCELL_CALL_CONST_OVERLOAD_ARG2

#define OBUNITCELL_CALL_CONST_OVERLOAD_ARG2 | ( |  | _type,
|  |  | _name,
|  |  | _argsig,
|  |  | _argsig2 )

Value:
_type OBUnitCell::_name( _argsig arg1, _argsig2 arg2 ) \
{ \
return const_cast<const OBUnitCell*>(this)->_name(arg1, arg2); \
}